Skip to main content
`Ctrl`+`K`

# chvatal_graph

chvatal_graph(create_using=None)

  Returns the Chvátal Graph

  The Chvátal Graph is an undirected graph with 12 nodes and 24 edges [1]. It has 370 distinct (directed) Hamiltonian cycles, giving a unique generalized LCF notation of order 4, two of order 6 , and 43 of order 1 [2].

  Parameters:
    create_using NetworkX graph constructor, optional (default=nx.Graph)

      Graph type to create. If graph instance, then cleared before populated.

  Returns:
    G networkx Graph

      The Chvátal graph with 12 nodes and 24 edges

  References

  [1]

  https://en.wikipedia.org/wiki/Chv%C3%A1tal_graph

  [2]

  https://mathworld.wolfram.com/ChvatalGraph.html